## Callbacks Callbacks — Different callbacks for retrieving async results |

## Functions

void | (*GnomeKeyringOperationDoneCallback) ()
void | (*GnomeKeyringOperationGetIntCallback) ()
void | (*GnomeKeyringOperationGetListCallback) ()
void | (*GnomeKeyringOperationGetStringCallback) ()

## Description

All of these APIs are deprecated. Use libsecret instead.

## Functions

### GnomeKeyringOperationDoneCallback ()

    void
    (*GnomeKeyringOperationDoneCallback) (GnomeKeyringResult result,
                                          gpointer user_data);

`GnomeKeyringOperationDoneCallback` is deprecated and should not be used in newly-written code.

### GnomeKeyringOperationGetIntCallback ()

    void
    (*GnomeKeyringOperationGetIntCallback)
                                   (GnomeKeyringResult result,
                                    guint32 val,
                                    gpointer user_data);

`GnomeKeyringOperationGetIntCallback` is deprecated and should not be used in newly-written code.

### GnomeKeyringOperationGetListCallback ()

    void
    (*GnomeKeyringOperationGetListCallback)
                                   (GnomeKeyringResult result,
                                    GList *list,
                                    gpointer user_data);

`GnomeKeyringOperationGetListCallback` is deprecated and should not be used in newly-written code.

### GnomeKeyringOperationGetStringCallback ()

    void
    (*GnomeKeyringOperationGetStringCallback)
                                   (GnomeKeyringResult result,
                                    const char *string,
                                    gpointer user_data);

`GnomeKeyringOperationGetStringCallback` is deprecated and should not be used in newly-written code.

#### Parameters

result | result of the operation |
string | the string, or `NULL`. | [allow-none]
user_data | user data |